// creator  : weidu.exe (version 23100)
// argument : _PUMBERL.DLG
// game		 : .
// source	 : ./override/_PUMBERL.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_PUMBERL~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #81536 /* ~For what purpose do you visit the Bitch Queen?~ */
  IF ~Global("JALAPPEAR","GLOBAL",0)
~ THEN REPLY #81537 /* ~We wish to speak with high priestess Jalantha Mistmyr.~ */ GOTO 1
  IF ~~ THEN REPLY #81538 /* ~We want to see what a temple to an evil goddess looks like on the inside.  We're from, uh, Cormyr.  Tourists, you know?~ */ GOTO 2
  IF ~~ THEN REPLY #81539 /* ~We wish to pay our respects to the Queen of the Deeps.~ */ GOTO 3
  IF ~!Dead("tenya")
Global("HelpTremain","GLOBAL",1)
Global("TalkedToTenya","GLOBAL",1)
Global("TENAPPEAR","GLOBAL",0)
~ THEN REPLY #81540 /* ~We wish to see the Priestess Tenya.~ */ GOTO 7
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #81541 /* ~The High Priestess does not have time to see commoners, why should I allow you to waste her time?~ */
  IF ~~ THEN REPLY #81542 /* ~Perhaps a little donation to the church?  Would 25 gold suffice?~ */ GOTO 5
  IF ~~ THEN REPLY #81543 /* ~Would a donation of 50 gold allow us entry?~ */ DO ~TakePartyGold(50)
~ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #81544 /* ~You are unwise to waste my time, please leave.~ */
  IF ~~ THEN DO ~Wait(10)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #81545 /* ~You may not enter.  I will not change my mind for you or any of your idiot friends.  If you come up with a better reason to enter then speak to me again.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #81546 /* ~I told you to follow me, I won't give you a second warning.~ */
  IF ~~ THEN DO ~Wait(10)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 1.0
  SAY #81547 /* ~Such a piddling tribute, if you wish to see the High Priestess you will have to give at least 100 gold.~ */
  IF ~~ THEN REPLY #81548 /* ~100 gold!?!  We can't afford that.  You'll have to find other peasants to exploit.~ */ EXIT
  IF ~~ THEN REPLY #81549 /* ~Okay, here's your 100 gold.~ */ DO ~TakePartyGold(100)
~ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.1 1.1
  SAY #81550 /* ~That offer is adequate.  Wait here and I will return with the High Priestess.~ */
  IF ~~ THEN DO ~SetGlobal("JALAPPEAR","GLOBAL",1)
CreateCreature("_JALANT",[459.531],0)
ActionOverride("jalantha",Dialog([PC]))
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.3
  SAY #81586 /* ~You wish to see Tenya?  Wait here and I will get her for you.~ */
  IF ~~ THEN DO ~SetGlobal("TENAPPEAR","GLOBAL",1)
CreateCreature("_TENYA2",[536.648],0)
ActionOverride("tenya2",SetNumTimesTalkedTo(1))
ActionOverride("tenya2",Dialog([PC]))
~ EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY #81610 /* ~So, you've returned.  Do you have the book for Jalantha?~ */
  IF ~~ THEN REPLY #81611 /* ~No, we don't have it yet.~ */ GOTO 9
  IF ~~ THEN REPLY #81612 /* ~Yes, we have it with us.~ */ GOTO 10
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #81613 /* ~Then return when you have the book!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from: 8.1
  SAY #81614 /* ~Wait here, I will return with Jalantha.~ */
  IF ~~ THEN DO ~CreateCreature("_JALANT",[216.677],0)
ActionOverride("jalantha",Dialog([PC]))
~ EXIT
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 11 // from:
  SAY #81615 /* ~You may bask in the glory of Umberlee for as long as you like, friends.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #75471 /* ~You've outstayed your welcome!~ */
  IF ~~ THEN EXIT
END
